Now that it's live, don't forget to accept your certification badge on Credly today! Learn more here.
We are currently experiencing an issue with Email verification at this time and working towards a solution. Should you encounter this issue, please click on the "Send Verification Button" a second time and the request should go through. If the issue still persists for you, please email support@alteryx.com for assistance.

Alteryx Server Discussions

Find answers, ask questions, and share expertise about Alteryx Server.
SOLVED

Server Upgrade v2020.2 to v2021.2 Failed to construct Gallery daemon process, code 9001

DVAMortensen
5 - Atom

Windows Server Standard 2019

VM based 4 core, 16GB RAM

 

Attempting to upgrade our Alteryx Server from v2020.2 to v2021.2 and startup of service fails. Last line in AlteryxServiceLog.log is

 

2021-06-17 21:18:08.413000,ERROR,5204,AlteryxService,,,,,,,,,"AlteryxService_LogStartupError: There was an error starting the Alteryx Service <Failed to construct Gallery daemon process, process exited code <9001>>"

 

Also attached log to post.

 

Need help in debugging this upgrade.

 

-mark

8 REPLIES 8
joshuaburkhow
15 - Aurora
15 - Aurora

Is this a single node install? Have you checked your versions table in Mongo to make sure its at the right version? (it should be 30) https://help.alteryx.com/20212/server/mongodb-schema-reference

 

 

Joshua Burkhow - Alteryx Ace | Global Alteryx Architect @PwC | Blogger @ AlterTricks
bjschwartz3
8 - Asteroid

@joshuaburkhow I also have the same issue. How do you check the version table in Mongo? I'm not experienced at all with MongoDB.

 

I tried 

 

 

C:\Windows\system32>cd "C:\Program Files\Alteryx\bin"

C:\Program Files\Alteryx\bin>mongo --host localhost:27018
MongoDB shell version v4.0.10
connecting to: mongodb://localhost:27018/?gssapiServiceName=mongodb
2021-06-19T14:17:04.017-0500 E QUERY [js] Error: couldn't connect to server localhost:27018, connection attempt failed: SocketException: Error connecting to localhost:27018 (127.0.0.1:27018) :: caused by :: No connection could be made because the target machine actively refused it. :
connect@src/mongo/shell/mongo.js:344:17
@(connect):2:6
exception: connect failed

 

 

joshuaburkhow
15 - Aurora
15 - Aurora

I'd recommend getting a gui like NoSQLBooster it's going to be a lot better for you if you are just getting started. When you login using the credentials from your Server settings you see 3 main db's "AlteryxGallery", "AlteryxService" and "AlteryxGallery_Lucene". In the AlteryxGallery db there is a collection (aka table) that is called versions. If you query that you'll see a bunch of documents (aka records) that have a version number in each one. You want the highest one to correspond with the version you are on. If for example you are on 2020.4 you want to see that the highest version record in that table should be 28. 

 

Hope this helps a bit. 

Joshua Burkhow - Alteryx Ace | Global Alteryx Architect @PwC | Blogger @ AlterTricks
bjschwartz3
8 - Asteroid

@joshuaburkhow Thanks for the response. I'm not sure but it looks like the upgrade might have taken down the MongoDB? I'm getting an error: MongoNetworkError: failed to connect to server [localhost:27017] on first connect [Error: connect ECONNREFUSED 127.0.0.1:27017 

07:07:50.804 *** Connect Error ***
{"message":"failed to connect to server [localhost:27017] on first connect [Error: connect ECONNREFUSED 127.0.0.1:27017\n at TCPConnectWrap.afterConnect [as oncomplete] (net.js:1056:14) {\n name: 'MongoNetworkError'\n}]","name":"MongoNetworkError","stack":"MongoNetworkError: failed to connect to server [localhost:27017] on first connect [Error: connect ECONNREFUSED 127.0.0.1:27017\n at TCPConnectWrap.afterConnect [as oncomplete] (net.js:1056:14) {\n name: 'MongoNetworkError'\n}]\n at Pool.<anonymous> (C:\\Users\\\\AppData\\Local\\Programs\\nosqlbooster4mongo\\resources\\app.asar\\node_modules\\mongodb\\lib\\core\\topologies\\server.js:438:11)\n at Pool.emit (events.js:203:13)\n at C:\\Users\\\\AppData\\Local\\Programs\\nosqlbooster4mongo\\resources\\app.asar\\node_modules\\mongodb\\lib\\core\\connection\\pool.js:562:14\n at C:\\Users\\.\\AppData\\Local\\Programs\\nosqlbooster4mongo\\resources\\app.asar\\node_modules\\mongodb\\lib\\core\\connection\\pool.js:995:11\n at C:\\Users\\.\\AppData\\Local\\Programs\\nosqlbooster4mongo\\resources\\app.asar\\node_modules\\mongodb\\lib\\core\\connection\\connect.js:32:7\n at callback (C:\\Users\\.\\AppData\\Local\\Programs\\nosqlbooster4mongo\\resources\\app.asar\\node_modules\\mongodb\\lib\\core\\connection\\connect.js:280:5)\n at Socket.<anonymous> (C:\\Users\\.\\AppData\\Local\\Programs\\nosqlbooster4mongo\\resources\\app.asar\\node_modules\\mongodb\\lib\\core\\connection\\connect.js:310:7)\n at Object.onceWrapper (events.js:291:20)\n at Socket.emit (events.js:203:13)\n at emitErrorNT (internal/streams/destroy.js:91:8)\n at emitErrorAndCloseNT (internal/streams/destroy.js:59:3)\n at processTicksAndRejections (internal/process/task_queues.js:77:11)"}

 

joshuaburkhow
15 - Aurora
15 - Aurora

Hey @bjschwartz3 

 

I think you might be best off contacting Alteryx support (support@alteryx.com). They can walk you through everything you need to get this corrected. 

Joshua Burkhow - Alteryx Ace | Global Alteryx Architect @PwC | Blogger @ AlterTricks
DVAMortensen
5 - Atom

@joshuaburkhow 

 

This is a single node install

 

Can't get the versions value in Mongo because the upgrade failed and Mongo is embedded to Alteryx Server.  When trying to start the Alteryx Server, which would start MongoDB, it fails to start.  

 

-mark 

DVAMortensen
5 - Atom

@joshuaburkhow , @bjschwartz3 

 

Support helped point me in the right direction for our upgrade issue and resolved our particular problem.  There exists logs for the Gallery service at

 

[alteryx_global_workspace_home]\Gallery\Logs

 

Within the latest log file was a FATAL record entry saying something like this:

 

Command createIndexes failed: E11000 duplicate key error collection: AlteryxGallery.users index: Email_1 dup key: { : "**USER**@**COMPANY**com" }.

 

This was the root of our issue.  We had two entries in a MongoDB table for this particular user and support told me in later versions they require unique user emails for each user record.  In our case, we had two users with the same email.  

 

To resolve, support instructed me to launch the embedded MongoDB with this command

 

[alteryx_install_home]\bin\mongod --dbpath [alteryx_persistence_folder]

 

then use a MongoDB client such as NoSQLBooster or Robo3T to logon as "user" with the Alteryx' non-admin pwd to the AlteryxGaller db.  The "user" pwd can be captured from the Alteryx System Settings application (it'll be the pwd from the Controller > Persistence > Database section and look like an encoded hex string).

 

I found the duplicate users and altered the user accounts email for the record that had the oldest last logon time.  Started the AlteryxService and now the upgraded v2021.2 environment is working for us.

 

-mark

 

 

 

joshuaburkhow
15 - Aurora
15 - Aurora

Absolutely makes sense! Very nice write up as well. 

Joshua Burkhow - Alteryx Ace | Global Alteryx Architect @PwC | Blogger @ AlterTricks